Bug 187148 - mknmz -q does not work.
mknmz -q does not work.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: namazu (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-28 14:56 EST by Chris Stankaitis
Modified: 2008-03-11 01:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 01:02:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Stankaitis 2006-03-28 14:56:39 EST
Description of problem:

trying to run mknmz -q to supress standard out.  However it looks like there is
a problem in the code where the results/variables are not being passed on to the
next section of the code due to the suppression, this is causing the index to
bomb.  As it is I can run mknmz without quiet mode fine but I require the quiet
function.


Use of uninitialized value in split at /usr/bin/mknmz line 1130.
Use of uninitialized value in chdir at /usr/bin/mknmz line 1134.
Use of chdir('') or chdir(undef) as chdir() is deprecated at /usr/bin/mknmz line
1134.
Use of uninitialized value in concatenation (.) or string at /usr/bin/mknmz line
1135.
Use of uninitialized value in split at /usr/bin/mknmz line 1130.
Use of uninitialized value in chdir at /usr/bin/mknmz line 1134.
Use of chdir('') or chdir(undef) as chdir() is deprecated at /usr/bin/mknmz line
1134.
Use of uninitialized value in concatenation (.) or string at /usr/bin/mknmz line
1135.


Version-Release number of selected component (if applicable):

namazu-2.0.14-3

How reproducible:

Always

Steps to Reproduce:
1. mknmz --update=$indexBase/$list --media-type='text/html; x-type=pipermail'
$archiveBase/$list

-- Works Fine

2. mknmz -q --update=$indexBase/$list --media-type='text/html; x-type=pipermail'
$archiveBase/$list

Bombs out.
Comment 1 Akira TAGOH 2006-03-29 01:04:45 EST
It looks like you used older version. please update it to 2.0.15-3.fc5 and see
what happens then.
Comment 2 Chris Stankaitis 2006-04-07 10:35:59 EDT
Upgraded to newest Namazu in extra's as requested:

# rpm -Fhv namazu-2.0.15-3.x86_64.rpm namazu-cgi-2.0.15-3.x86_64.rpm
warning: namazu-2.0.15-3.x86_64.rpm: V3 DSA signature: NOKEY, key ID 0ff6e721
Preparing...                ########################################### [100%]
   1:namazu                 ########################################### [ 50%]
   2:namazu-cgi             ########################################### [100%]

# Ran upgraded mknmz quiet with same results as before:

Use of uninitialized value in split at /usr/bin/mknmz line 1147.
Use of uninitialized value in chdir at /usr/bin/mknmz line 1151.
Use of chdir('') or chdir(undef) as chdir() is deprecated at /usr/bin/mknmz line
1151.
Use of uninitialized value in concatenation (.) or string at /usr/bin/mknmz line
1152.
Use of uninitialized value in split at /usr/bin/mknmz line 1147.
Use of uninitialized value in chdir at /usr/bin/mknmz line 1151.
Use of chdir('') or chdir(undef) as chdir() is deprecated at /usr/bin/mknmz line
1151.
Use of uninitialized value in concatenation (.) or string at /usr/bin/mknmz line
1152.


Am still able to update indexes fine if not trying to use -q switch 
Please advise
Comment 3 Akira TAGOH 2006-04-12 04:06:05 EDT
it seems to work for me. so it may depends on data. some questions for you.

1) does it only happens with pipermail's archive? or no matter which data is
indexed?
2) what does $indexBase imply?
3) do you have SELinux enabled and running on the enforcing mode? if yes, can
you find any messages in /var/log/audit/audit.log or /var/log/messages?
4) what about the permissions for NMZ.* files?
Comment 4 Chris Stankaitis 2006-04-18 13:57:23 EDT
1) I am exclusively using this to index mailman mailing lists, thus have only
experienced it using pipermail

2) indexBase="/var/lib/mailman/namazu/index" the location of where to write the
index file.  I am running the program as root.

3) yes SELinux is on and in enforcing mode using the targeted policy.  I see no
AVC's when I run the program

4) all files range from 644 with one or two 664 root:mailman

again if I run the command without the -q option It will update the index fine.
Comment 5 Chris Stankaitis 2006-05-15 11:48:21 EDT
been almost a month... any word on what I might do to solve this bug or to give
you any more information to help troubleshoot it better?
Comment 6 Akira TAGOH 2006-06-19 14:32:32 EDT
my apologies. I can't still have any testcases to reproduce this issue. if you
provide me any testcases to reproduce this and speed up to resolve it, it would
be appreciated.
Comment 7 petrosyan 2008-03-11 01:02:05 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.